ios – flutter upgrades bundle model though pubspec.lock is pushed to git


Flutter upgrades bundle model though pubspec.lock and Podfile.lock is pushed to git. Once I clone and attempt to run pod set up contained in the ios folder I get a model problem:

[!] CocoaPods couldn't discover appropriate variations for pod "Firebase/Efficiency":
  In snapshot (Podfile.lock):
    Firebase/Efficiency (= 10.7.0)

  In Podfile:
    firebase_performance (from `.symlinks/plugins/firebase_performance/ios`) was resolved to 0.9.2-1, which will depend on
      Firebase/Efficiency (= 10.9.0)


You've both:
 * out-of-date supply repos which you'll be able to replace with `pod repo replace` or with `pod set up --repo-update`.
 * modified the constraints of dependency `Firebase/Efficiency` inside your improvement pod `firebase_performance`.
   It's best to run `pod replace Firebase/Efficiency` to use adjustments you have made.

It mainly says that it has a Podfile.lock defining the model 1.7.0 so why is it making an attempt to get 10.9.0 though I additionally pushed pubspec.lock with it?

I do not wish to replace by way of pod repo replace. This can be a problem as I’m utilizing a CI/CD pipeline which ought to clone the EXACT similar model from git WITH pubspec.lock and Podfile.lock as outlined on my native machine.

My native pubspec.yaml:

dependencies:
  flutter:
    sdk: flutter
  # The next provides the Cupertino Icons font to your software.
  # Use with the CupertinoIcons class for iOS fashion icons.
  cupertino_icons: ^1.0.5

  flutter_svg: ^2.0.4
  shared_preferences: ^2.0.18
  carousel_slider: ^4.2.1
  supplier: ^6.0.5
  flutter_styled_toast: ^2.1.3
  shimmer: ^2.0.0
  flutter_screenutil: ^5.6.1
  connectivity_plus: ^3.0.3
  flutter_secure_storage: ^8.0.0
  nb_utils: ^5.0.5
  graphql_flutter: ^5.1.2
  intl: ^0.17.0
  flutter_localizations: # Add this line
    sdk: flutter         # Add this line
  flutter_html: 3.0.0-alpha.6
  url_launcher: ^6.1.10
  oauth2: ^2.0.1
  flutter_spinkit: ^5.1.0
  barcode: ^2.2.3
  hijri: ^3.0.0
  auto_size_text: ^3.0.0
  syncfusion_flutter_calendar: ^20.4.53
  syncfusion_flutter_charts: ^20.4.53
  upgrader: ^6.0.1
  firebase_core: ^2.8.0
  firebase_crashlytics: ^3.0.17
  firebase_analytics: ^10.1.6
  firebase_performance: ^0.9.0+16
  webview_flutter: ^4.2.0
  package_info_plus: ^3.0.3
  talker: ^2.4.0
  http: ^0.13.5
  path_provider: ^2.0.13
  vector_graphics_compiler: ^1.1.4
  device_info_plus: ^8.1.0
  syncfusion_flutter_pdfviewer: ^20.4.54
  timezone: ^0.9.1
  share_plus: ^6.3.1
  add_2_calendar: ^2.2.3
  timeago: ^3.3.0
  async: ^2.10.0
  assortment: ^1.17.0
  fast_cached_network_image: ^1.2.0

My native pubspec.lock (not all):

# Generated by pub
# See 
packages:
  firebase_performance:
    dependency: "direct predominant"
    description:
      title: firebase_performance
      sha256: "60c6ef0108429a6a73f9d66f10532b715901677ed662b87a511edba9cb98c4ec"
      url: "
    supply: hosted
    model: "0.9.2+1"
  firebase_performance_platform_interface:
    dependency: transitive
    description:
      title: firebase_performance_platform_interface
      sha256: f282cdf9f939aabfaab6b8a40e0e56ef27a7effef6540c13eaa927b935cb1944
      url: "
    supply: hosted
    model: "0.1.4+1"
  firebase_performance_web:
    dependency: transitive
    description:
      title: firebase_performance_web
      sha256: "71e4a9a0f8f39b830161986fdcd5f5d45837e56bc1d8da0e41bdc44551981d31"
      url: "
    supply: hosted
    model: "0.1.4+1"
sdks:
  dart: ">=2.19.0 <3.0.0"
  flutter: ">=3.7.0-0"

My native Podfile.lock:

PODS:
  - add_2_calendar (0.0.1):
    - Flutter
  - connectivity_plus (0.0.1):
    - Flutter
    - ReachabilitySwift
  - device_info_plus (0.0.1):
    - Flutter
  - Firebase/Analytics (10.7.0):
    - Firebase/Core
  - Firebase/Core (10.7.0):
    - Firebase/CoreOnly
    - FirebaseAnalytics (~> 10.7.0)
  - Firebase/CoreOnly (10.7.0):
    - FirebaseCore (= 10.7.0)
  - Firebase/Crashlytics (10.7.0):
    - Firebase/CoreOnly
    - FirebaseCrashlytics (~> 10.7.0)
  - Firebase/Efficiency (10.7.0):
    - Firebase/CoreOnly
    - FirebasePerformance (~> 10.7.0)
  - firebase_analytics (10.2.1):
    - Firebase/Analytics (= 10.7.0)
    - firebase_core
    - Flutter
  - firebase_core (2.10.0):
    - Firebase/CoreOnly (= 10.7.0)
    - Flutter
  - firebase_crashlytics (3.1.1):
    - Firebase/Crashlytics (= 10.7.0)
    - firebase_core
    - Flutter
  - firebase_performance (0.9.1-1):
    - Firebase/Efficiency (= 10.7.0)
    - firebase_core
    - Flutter
  - FirebaseABTesting (10.9.0):
    - FirebaseCore (~> 10.0)
  - FirebaseAnalytics (10.7.0):
    - FirebaseAnalytics/AdIdSupport (= 10.7.0)
    - FirebaseCore (~> 10.0)
    - FirebaseInstallations (~> 10.0)
    - GoogleUtilities/AppDelegateSwizzler (~> 7.8)
    - GoogleUtilities/MethodSwizzler (~> 7.8)
    - GoogleUtilities/Community (~> 7.8)
    - "GoogleUtilities/NSData+zlib (~> 7.8)"
    - nanopb (< 2.30910.0, >= 2.30908.0)
  - FirebaseAnalytics/AdIdSupport (10.7.0):
    - FirebaseCore (~> 10.0)
    - FirebaseInstallations (~> 10.0)
    - GoogleAppMeasurement (= 10.7.0)
    - GoogleUtilities/AppDelegateSwizzler (~> 7.8)
    - GoogleUtilities/MethodSwizzler (~> 7.8)
    - GoogleUtilities/Community (~> 7.8)
    - "GoogleUtilities/NSData+zlib (~> 7.8)"
    - nanopb (< 2.30910.0, >= 2.30908.0)
  - FirebaseCore (10.7.0):
    - FirebaseCoreInternal (~> 10.0)
    - GoogleUtilities/Surroundings (~> 7.8)
    - GoogleUtilities/Logger (~> 7.8)
  - FirebaseCoreExtension (10.9.0):
    - FirebaseCore (~> 10.0)
  - FirebaseCoreInternal (10.9.0):
    - "GoogleUtilities/NSData+zlib (~> 7.8)"
  - FirebaseCrashlytics (10.7.0):
    - FirebaseCore (~> 10.5)
    - FirebaseInstallations (~> 10.0)
    - FirebaseSessions (~> 10.5)
    - GoogleDataTransport (~> 9.2)
    - GoogleUtilities/Surroundings (~> 7.8)
    - nanopb (< 2.30910.0, >= 2.30908.0)
    - PromisesObjC (~> 2.1)
  - FirebaseInstallations (10.9.0):
    - FirebaseCore (~> 10.0)
    - GoogleUtilities/Surroundings (~> 7.8)
    - GoogleUtilities/UserDefaults (~> 7.8)
    - PromisesObjC (~> 2.1)
  - FirebasePerformance (10.7.0):
    - FirebaseCore (~> 10.5)
    - FirebaseInstallations (~> 10.0)
    - FirebaseRemoteConfig (~> 10.0)
    - FirebaseSessions (~> 10.5)
    - GoogleDataTransport (~> 9.2)
    - GoogleUtilities/Surroundings (~> 7.8)
    - GoogleUtilities/ISASwizzler (~> 7.8)
    - GoogleUtilities/MethodSwizzler (~> 7.8)
    - nanopb (< 2.30910.0, >= 2.30908.0)
  - FirebaseRemoteConfig (10.9.0):
    - FirebaseABTesting (~> 10.0)
    - FirebaseCore (~> 10.0)
    - FirebaseInstallations (~> 10.0)
    - GoogleUtilities/Surroundings (~> 7.8)
    - "GoogleUtilities/NSData+zlib (~> 7.8)"
  - FirebaseSessions (10.9.0):
    - FirebaseCore (~> 10.5)
    - FirebaseCoreExtension (~> 10.0)
    - FirebaseInstallations (~> 10.0)
    - GoogleDataTransport (~> 9.2)
    - GoogleUtilities/Surroundings (~> 7.10)
    - nanopb (< 2.30910.0, >= 2.30908.0)
    - PromisesSwift (~> 2.1)
  - Flutter (1.0.0)
  - flutter_secure_storage (6.0.0):
    - Flutter
  - fluttertoast (0.0.2):
    - Flutter
    - Toast
  - GoogleAppMeasurement (10.7.0):
    - GoogleAppMeasurement/AdIdSupport (= 10.7.0)
    - GoogleUtilities/AppDelegateSwizzler (~> 7.8)
    - GoogleUtilities/MethodSwizzler (~> 7.8)
    - GoogleUtilities/Community (~> 7.8)
    - "GoogleUtilities/NSData+zlib (~> 7.8)"
    - nanopb (< 2.30910.0, >= 2.30908.0)
  - GoogleAppMeasurement/AdIdSupport (10.7.0):
    - GoogleAppMeasurement/WithoutAdIdSupport (= 10.7.0)
    - GoogleUtilities/AppDelegateSwizzler (~> 7.8)
    - GoogleUtilities/MethodSwizzler (~> 7.8)
    - GoogleUtilities/Community (~> 7.8)
    - "GoogleUtilities/NSData+zlib (~> 7.8)"
    - nanopb (< 2.30910.0, >= 2.30908.0)
  - GoogleAppMeasurement/WithoutAdIdSupport (10.7.0):
    - GoogleUtilities/AppDelegateSwizzler (~> 7.8)
    - GoogleUtilities/MethodSwizzler (~> 7.8)
    - GoogleUtilities/Community (~> 7.8)
    - "GoogleUtilities/NSData+zlib (~> 7.8)"
    - nanopb (< 2.30910.0, >= 2.30908.0)
  - GoogleDataTransport (9.2.3):
    - GoogleUtilities/Surroundings (~> 7.7)
    - nanopb (< 2.30910.0, >= 2.30908.0)
    - PromisesObjC (< 3.0, >= 1.2)
  - GoogleUtilities/AppDelegateSwizzler (7.11.1):
    - GoogleUtilities/Surroundings
    - GoogleUtilities/Logger
    - GoogleUtilities/Community
  - GoogleUtilities/Surroundings (7.11.1):
    - PromisesObjC (< 3.0, >= 1.2)
  - GoogleUtilities/ISASwizzler (7.11.1)
  - GoogleUtilities/Logger (7.11.1):
    - GoogleUtilities/Surroundings
  - GoogleUtilities/MethodSwizzler (7.11.1):
    - GoogleUtilities/Logger
  - GoogleUtilities/Community (7.11.1):
    - GoogleUtilities/Logger
    - "GoogleUtilities/NSData+zlib"
    - GoogleUtilities/Reachability
  - "GoogleUtilities/NSData+zlib (7.11.1)"
  - GoogleUtilities/Reachability (7.11.1):
    - GoogleUtilities/Logger
  - GoogleUtilities/UserDefaults (7.11.1):
    - GoogleUtilities/Logger
  - nanopb (2.30909.0):
    - nanopb/decode (= 2.30909.0)
    - nanopb/encode (= 2.30909.0)
  - nanopb/decode (2.30909.0)
  - nanopb/encode (2.30909.0)
  - nb_utils (0.0.1):
    - Flutter
  - package_info_plus (0.4.5):
    - Flutter
  - path_provider_foundation (0.0.1):
    - Flutter
    - FlutterMacOS
  - PromisesObjC (2.2.0)
  - PromisesSwift (2.2.0):
    - PromisesObjC (= 2.2.0)
  - ReachabilitySwift (5.0.0)
  - share_plus (0.0.1):
    - Flutter
  - shared_preferences_foundation (0.0.1):
    - Flutter
    - FlutterMacOS
  - syncfusion_flutter_pdfviewer (0.0.1):
    - Flutter
  - Toast (4.0.0)
  - url_launcher_ios (0.0.1):
    - Flutter
  - webview_flutter_wkwebview (0.0.1):
    - Flutter

DEPENDENCIES:
  - add_2_calendar (from `.symlinks/plugins/add_2_calendar/ios`)
  - connectivity_plus (from `.symlinks/plugins/connectivity_plus/ios`)
  - device_info_plus (from `.symlinks/plugins/device_info_plus/ios`)
  - firebase_analytics (from `.symlinks/plugins/firebase_analytics/ios`)
  - firebase_core (from `.symlinks/plugins/firebase_core/ios`)
  - firebase_crashlytics (from `.symlinks/plugins/firebase_crashlytics/ios`)
  - firebase_performance (from `.symlinks/plugins/firebase_performance/ios`)
  - Flutter (from `Flutter`)
  - flutter_secure_storage (from `.symlinks/plugins/flutter_secure_storage/ios`)
  - fluttertoast (from `.symlinks/plugins/fluttertoast/ios`)
  - nb_utils (from `.symlinks/plugins/nb_utils/ios`)
  - package_info_plus (from `.symlinks/plugins/package_info_plus/ios`)
  - path_provider_foundation (from `.symlinks/plugins/path_provider_foundation/ios`)
  - share_plus (from `.symlinks/plugins/share_plus/ios`)
  - shared_preferences_foundation (from `.symlinks/plugins/shared_preferences_foundation/ios`)
  - syncfusion_flutter_pdfviewer (from `.symlinks/plugins/syncfusion_flutter_pdfviewer/ios`)
  - url_launcher_ios (from `.symlinks/plugins/url_launcher_ios/ios`)
  - webview_flutter_wkwebview (from `.symlinks/plugins/webview_flutter_wkwebview/ios`)

SPEC REPOS:
  trunk:
    - Firebase
    - FirebaseABTesting
    - FirebaseAnalytics
    - FirebaseCore
    - FirebaseCoreExtension
    - FirebaseCoreInternal
    - FirebaseCrashlytics
    - FirebaseInstallations
    - FirebasePerformance
    - FirebaseRemoteConfig
    - FirebaseSessions
    - GoogleAppMeasurement
    - GoogleDataTransport
    - GoogleUtilities
    - nanopb
    - PromisesObjC
    - PromisesSwift
    - ReachabilitySwift
    - Toast

EXTERNAL SOURCES:
  add_2_calendar:
    :path: ".symlinks/plugins/add_2_calendar/ios"
  connectivity_plus:
    :path: ".symlinks/plugins/connectivity_plus/ios"
  device_info_plus:
    :path: ".symlinks/plugins/device_info_plus/ios"
  firebase_analytics:
    :path: ".symlinks/plugins/firebase_analytics/ios"
  firebase_core:
    :path: ".symlinks/plugins/firebase_core/ios"
  firebase_crashlytics:
    :path: ".symlinks/plugins/firebase_crashlytics/ios"
  firebase_performance:
    :path: ".symlinks/plugins/firebase_performance/ios"
  Flutter:
    :path: Flutter
  flutter_secure_storage:
    :path: ".symlinks/plugins/flutter_secure_storage/ios"
  fluttertoast:
    :path: ".symlinks/plugins/fluttertoast/ios"
  nb_utils:
    :path: ".symlinks/plugins/nb_utils/ios"
  package_info_plus:
    :path: ".symlinks/plugins/package_info_plus/ios"
  path_provider_foundation:
    :path: ".symlinks/plugins/path_provider_foundation/ios"
  share_plus:
    :path: ".symlinks/plugins/share_plus/ios"
  shared_preferences_foundation:
    :path: ".symlinks/plugins/shared_preferences_foundation/ios"
  syncfusion_flutter_pdfviewer:
    :path: ".symlinks/plugins/syncfusion_flutter_pdfviewer/ios"
  url_launcher_ios:
    :path: ".symlinks/plugins/url_launcher_ios/ios"
  webview_flutter_wkwebview:
    :path: ".symlinks/plugins/webview_flutter_wkwebview/ios"

SPEC CHECKSUMS:
  add_2_calendar: e9d68636aed37fb18e12f5a3d74c2e0589487af0
  connectivity_plus: 413a8857dd5d9f1c399a39130850d02fe0feaf7e
  device_info_plus: e5c5da33f982a436e103237c0c85f9031142abed
  Firebase: 0219acf760880eeec8ce479895bd7767466d9f81
  firebase_analytics: e8e294333de66e5429d4aac365966281b4dbfb7d
  firebase_core: 18d44f087248303a4a8f05d0099a000c46e3c77a
  firebase_crashlytics: 6c15c2f507d82746dd62214964acf56146eab53f
  firebase_performance: 7dd98298ea2f19f480efd59ccbfcad3972ced984
  FirebaseABTesting: 005b70969e2817e2a1e631e8dba29134a04c0622
  FirebaseAnalytics: f8133442ee6f8512e28ff19e62ce15398bfaeace
  FirebaseCore: e317665b9d744727a97e623edbbed009320afdd7
  FirebaseCoreExtension: d3e9bba2930a8033042112397cd9f006a1bb203d
  FirebaseCoreInternal: d2b4acb827908e72eca47a9fd896767c3053921e
  FirebaseCrashlytics: 35fdd1a433b31e28adcf5c8933f4c526691a1e0b
  FirebaseInstallations: c58489c9caacdbf27d1da60891a87318e20218e0
  FirebasePerformance: 8281bbaf08aad194001018b932115b7d58a6f00b
  FirebaseRemoteConfig: 5ea5834e8c518f377bf1af2d97ebd611914ebf2d
  FirebaseSessions: 44a6782502eb279a214d4adca20891353278760c
  Flutter: f04841e97a9d0b0a8025694d0796dd46242b2854
  flutter_secure_storage: 23fc622d89d073675f2eaa109381aefbcf5a49be
  fluttertoast: eb263d302cc92e04176c053d2385237e9f43fad0
  GoogleAppMeasurement: fe17c92a32207dd5cdd4e8d742767f2da74857f6
  GoogleDataTransport: f0308f5905a745f94fb91fea9c6cbaf3831cb1bd
  GoogleUtilities: 9aa0ad5a7bc171f8bae016300bfcfa3fb8425749
  nanopb: b552cce312b6c8484180ef47159bc0f65a1f0431
  nb_utils: ada4338858d8827ec92fdab2a545206b4ba4cfb1
  package_info_plus: 6c92f08e1f853dc01228d6f553146438dafcd14e
  path_provider_foundation: c68054786f1b4f3343858c1e1d0caaded73f0be9
  PromisesObjC: 09985d6d70fbe7878040aa746d78236e6946d2ef
  PromisesSwift: cf9eb58666a43bbe007302226e510b16c1e10959
  ReachabilitySwift: 985039c6f7b23a1da463388634119492ff86c825
  share_plus: 056a1e8ac890df3e33cb503afffaf1e9b4fbae68
  shared_preferences_foundation: 986fc17f3d3251412d18b0265f9c64113a8c2472
  syncfusion_flutter_pdfviewer: bb9998884b864cfedf72628df3503bdf57e397c0
  Toast: 91b396c56ee72a5790816f40d3a94dd357abc196
  url_launcher_ios: 08a3dfac5fb39e8759aeb0abbd5d9480f30fc8b4
  webview_flutter_wkwebview: 2e2d318f21a5e036e2c3f26171342e95908bd60a

PODFILE CHECKSUM: ef19549a9bc3046e7bb7d2fab4d021637c0c58a3

COCOAPODS: 1.12.0

My native .gitignore:

# Miscellaneous
*.class
*.log
*.pyc
*.swp
.DS_Store
.atom/
.buildlog/
.historical past
.svn/
migrate_working_dir/

# IntelliJ associated
*.iml
*.ipr
*.iws
.concept/

# The .vscode folder incorporates launch configuration and duties you configure in
# VS Code which you will want to be included in model management, so this line
# is commented out by default.
#.vscode/

# Flutter/Dart/Pub associated
**/doc/api/
**/ios/Flutter/.last_build_id
.dart_tool/
.flutter-plugins
.flutter-plugins-dependencies
.packages
.pub-cache/
.pub/
/construct/

# Symbolication associated
app.*.symbols

# Obfuscation associated
app.*.map.json

# Android Studio will place construct artifacts right here
/android/app/debug
/android/app/profile
/android/app/launch
/android/*.lock

# Visible Studio Code associated
.classpath
.venture
.settings/

# Flutter repo-specific
/bin/cache/
/bin/inside/bootstrap.bat
/bin/inside/bootstrap.sh
/bin/mingit/
/dev/benchmarks/mega_gallery/
/dev/bots/.recipe_deps
/dev/bots/android_tools/
/dev/devicelab/ABresults*.json
/dev/docs/doc/
/dev/docs/flutter.docs.zip
/dev/docs/lib/
/dev/docs/pubspec.yaml
/dev/integration_tests/**/xcuserdata
/dev/integration_tests/**/Pods
/packages/flutter/protection/
model
analysis_benchmark.json

# packages file containing multi-root paths
.packages.generated
**/generated_plugin_registrant.dart
construct/
flutter_*.png
linked_*.ds
unlinked.ds
unlinked_spec.ds

# Android associated
**/android/**/gradle-wrapper.jar
.gradle/
**/android/captures/
**/android/gradlew
**/android/gradlew.bat
**/android/native.properties
**/android/**/GeneratedPluginRegistrant.java
**/android/key.properties
*.jks

# iOS/XCode associated
**/ios/**/*.mode1v3
**/ios/**/*.mode2v3
**/ios/**/*.moved-aside
**/ios/**/*.pbxuser
**/ios/**/*.perspectivev3
**/ios/**/*sync/
**/ios/**/.sconsign.dblite
**/ios/**/.tags*
**/ios/**/.vagrant/
**/ios/**/DerivedData/
**/ios/**/Icon?
**/ios/**/Pods/
**/ios/**/.symlinks/
**/ios/**/profile
**/ios/**/xcuserdata
**/ios/.generated/
**/ios/Flutter/App.framework
**/ios/Flutter/Flutter.framework
**/ios/Flutter/Flutter.podspec
**/ios/Flutter/Generated.xcconfig
**/ios/Flutter/ephemeral
**/ios/Flutter/app.flx
**/ios/Flutter/app.zip
**/ios/Flutter/flutter_assets/
**/ios/Flutter/flutter_export_environment.sh
**/ios/ServiceDefinitions.json
**/ios/Runner/GeneratedPluginRegistrant.*

# macOS
**/Flutter/ephemeral/
**/Pods/
**/macos/Flutter/GeneratedPluginRegistrant.swift
**/macos/Flutter/ephemeral
**/xcuserdata/

# Home windows
**/home windows/flutter/generated_plugin_registrant.cc
**/home windows/flutter/generated_plugin_registrant.h

# Linux
**/linux/flutter/generated_plugin_registrant.cc
**/linux/flutter/generated_plugin_registrant.h

# Protection
protection/

# Symbols
# Exceptions to above guidelines.
!**/ios/**/default.mode1v3
!**/ios/**/default.mode2v3
!**/ios/**/default.pbxuser
!**/ios/**/default.perspectivev3
!/packages/flutter_tools/take a look at/knowledge/dart_dependencies_test/**/.packages
!/dev/ci/**/Gemfile.lock

# Customized Challenge recordsdata
/salary_certs/*
/important_files/*

# Fastlane
Preview.html
.env

Related Articles

LEAVE A REPLY

Please enter your comment!
Please enter your name here

Latest Articles